Mailinglist Archive: opensuse-security-announce (110 mails)

< Previous Next >
[security-announce] openSUSE-SU-2020:1455-1: important: Security update for libvirt
openSUSE Security Update: Security update for libvirt
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:1455-1
Rating: important
References: #1161883 #1174458
Cross-References: CVE-2020-14339
Affected Products:
openSUSE Leap 15.2
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update for libvirt fixes the following issues:

- CVE-2020-14339: Don't leak /dev/mapper/control into QEMU. Use ioctl's to
obtain the dependency tree of disks and drop use of libdevmapper.
bsc#1161883, bsc#1174458

This update was imported from the SUSE:SLE-15-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.2:

zypper in -t patch openSUSE-2020-1455=1



Package List:

- openSUSE Leap 15.2 (i586 x86_64):

libvirt-6.0.0-lp152.9.3.1
libvirt-admin-6.0.0-lp152.9.3.1
libvirt-admin-debuginfo-6.0.0-lp152.9.3.1
libvirt-client-6.0.0-lp152.9.3.1
libvirt-client-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-6.0.0-lp152.9.3.1
libvirt-daemon-config-network-6.0.0-lp152.9.3.1
libvirt-daemon-config-nwfilter-6.0.0-lp152.9.3.1
libvirt-daemon-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-interface-6.0.0-lp152.9.3.1
libvirt-daemon-driver-interface-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-lxc-6.0.0-lp152.9.3.1
libvirt-daemon-driver-lxc-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-network-6.0.0-lp152.9.3.1
libvirt-daemon-driver-network-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-nodedev-6.0.0-lp152.9.3.1
libvirt-daemon-driver-nodedev-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-nwfilter-6.0.0-lp152.9.3.1
libvirt-daemon-driver-nwfilter-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-qemu-6.0.0-lp152.9.3.1
libvirt-daemon-driver-qemu-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-secret-6.0.0-lp152.9.3.1
libvirt-daemon-driver-secret-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-core-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-core-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-disk-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-disk-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-gluster-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-gluster-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-iscsi-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-iscsi-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-logical-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-logical-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-mpath-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-mpath-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-scsi-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-scsi-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-hooks-6.0.0-lp152.9.3.1
libvirt-daemon-lxc-6.0.0-lp152.9.3.1
libvirt-daemon-qemu-6.0.0-lp152.9.3.1
libvirt-debugsource-6.0.0-lp152.9.3.1
libvirt-devel-6.0.0-lp152.9.3.1
libvirt-libs-6.0.0-lp152.9.3.1
libvirt-libs-debuginfo-6.0.0-lp152.9.3.1
libvirt-lock-sanlock-6.0.0-lp152.9.3.1
libvirt-lock-sanlock-debuginfo-6.0.0-lp152.9.3.1
libvirt-nss-6.0.0-lp152.9.3.1
libvirt-nss-debuginfo-6.0.0-lp152.9.3.1
wireshark-plugin-libvirt-6.0.0-lp152.9.3.1
wireshark-plugin-libvirt-debuginfo-6.0.0-lp152.9.3.1

- openSUSE Leap 15.2 (x86_64):

libvirt-client-32bit-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-libxl-6.0.0-lp152.9.3.1
libvirt-daemon-driver-libxl-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-rbd-6.0.0-lp152.9.3.1
libvirt-daemon-driver-storage-rbd-debuginfo-6.0.0-lp152.9.3.1
libvirt-daemon-xen-6.0.0-lp152.9.3.1
libvirt-devel-32bit-6.0.0-lp152.9.3.1

- openSUSE Leap 15.2 (noarch):

libvirt-bash-completion-6.0.0-lp152.9.3.1
libvirt-doc-6.0.0-lp152.9.3.1


References:

https://www.suse.com/security/cve/CVE-2020-14339.html
https://bugzilla.suse.com/1161883
https://bugzilla.suse.com/1174458

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages